WordPress Update 3.0.5 Fixes Security Issues–Must Update For Multi User Blogs

by Rohit Khurana on February 8, 2011


WordPress is always on the path of continuous improvements by continuously testing the platform for any issues and fixing them so that the millions of WordPress blogs on the web can run efficiently and securely. The latest WordPress update released 3.0.5 as a security release. The release is very critical for the blogs with multiple user accounts with untrusted user account.



Reasons to upgrade to 3.0.5 immediately :

  • Two moderate security issues were fixed that could have allowed a Contributor- or Author-level user to gain further access to the site.
  • One information disclosure issue was addressed that could have allowed an Author-level user to view contents of posts they should not be able to see, such as draft or private posts.
  • Two security enhancements were added. One improved the security of any plugins which were not properly leveraging our security API. The other offers additional defense in depth against a vulnerability that was fixed in previous release.

If you like this article or this article helped you, you can +1 to recommend this article on google plus.

You can follow us on Twitter or join our Facebook Fan Page. If you have a question to ask us, submit your question at Answers By Trouble Fixers.

Looking for something else? Search here :

Leave a Comment

Previous post:

Next post:

© TroubleFixers – All about fixing computer troubles2007-2016 . All Rights Reserved.